package cn.gygxzc.cloud.tina.fastdfs.client.mata;

import com.github.tobato.fastdfs.domain.MataData;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashSet;
import java.util.Set;

/**
 * Created by niantuo on 2018/10/27.
 */

public class CommonFileMata {
    private String description;

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    public Set<MataData> mataData(MultipartFile file){
        Set<MataData> mataDataSet = new HashSet<>();
        mataDataSet.add(new MataData("originalName",file.getOriginalFilename()));
        mataDataSet.add(new MataData("size",String.valueOf(file.getSize())));
        mataDataSet.add(new MataData("name",file.getName()));
        mataDataSet.add(new MataData("description",description));
        return mataDataSet;
    }
}
